---
title: "Persistence"
---

# Persistence

``` yaml {filename="base-mycloud-persistant-values.yaml"}
commons:
  persistence:
    storageClass:
    hostPath:
      enabled: false
      prefix: "/var/lib/mycloud"

components:
  mycloud-services:
    values:
      postgresql:
        persistence:
          storageClass:
          size: "10G"

  mycloud-nextcloud:
    values:
      persistence:
        main:
          pvc: "nextcloud"
          size: 8Gi
        data:
          pvc: "nextcloud-data"
          size: 16Gi
```
